Я использую Ubuntu 16.04, и нет fglrx!

15

Я использую Ubuntu 16.04, и нет fglrx! Что случилось?

    
задан digitalcrow 09.03.2016 в 22:54
источник

3 ответа

8

Чтобы запустить Steam без fglrx, введите его в Terminal:

LD_PRELOAD='/usr/$LIB/libstdc++.so.6' DISPLAY=:0 steam

Терминал должен быть активным, для небольших игр (Stellaris сам по себе) это практически осуществимо.

    
ответ дан Fream 18.05.2016 в 08:41
источник
26

публикация истории на Launchpad указывает, что пакет был удален для 16.04:

Removed from disk on 2016-03-03.
Removal requested on 2016-03-03.
Deleted on 2016-03-03 by Martin Pitt
(tjaalton) there will not be updates any more, incompatible with new X.org ABI, free driver is good enough now

Вы можете опубликовать сообщение об ошибке на Launchpad, если вы считаете, что драйвер с открытым исходным кодом недостаточно хорош.

Примечания к выпуску для 16.04 содержит дополнительную информацию:

  

fglrx

     

Драйвер fglrx теперь устарел в 16.04, и мы рекомендуем его открыть   исходные альтернативы (radeon и amdgpu). AMD много работала   драйверов, и мы передали код ядра из Linux 4.5, чтобы предоставить   лучший опыт.

     

При обновлении до Ubuntu 16.04 из предыдущей версии, как fglrx   драйвер и xorg.conf будут удалены, так что система будет установлена ​​на   используйте либо драйвер amdgpu, либо драйвер Radeon (в зависимости от   доступное оборудование).

В обсуждении списка рассылки предлагается, чтобы люди, которые действительно нуждались драйвер fglrx, возможно, придется продолжать использовать 14.04, пока драйвер с открытым исходным кодом не улучшится:

  

AMD отказалась от поддержки своего видеодрайвера fglrx с собственными блоками, поэтому он не может быть включен в 16.04 LTS. Последний выпуск AMD не может быть использован, поскольку он несовместим с новым сервером отображения x.org. Большинство людей смогут использовать видеодрайвер с открытым исходным кодом AMD, но есть несколько приложений (некоторые игры с интенсивной графикой, биткойн-майнинг), для которых он неадекватен. Люди, которые полагаются на такие приложения, могут предпочесть остаться на 14.04 LTS, пока адекватная поддержка не приземлится в видеодрайверах с открытым исходным кодом AMD.

по теме:

ответ дан muru 09.03.2016 в 23:05
-3

графики для видеокарт AMD Radeon были выпущены для большинства версий Ubuntu, поэтому я ожидаю, что они также выпустят один для 16.04. Читая FAQ, он (fglrx) в основном выпущен, через 12 недель после выпуска версии ubuntu; поэтому нам нужно быть немного более терпеливым.

Об использовании драйвера с открытым исходным кодом с AMD Radeon HD6670 работает нормально, но не слишком хорошо. Например. photoś, безусловно, отображаются с меньшим качеством. Кроме того, X-сервер аварийно завершает работу (хотя мне все еще нужно выяснить, что именно происходит).

    
ответ дан balance99 30.04.2016 в 18:24